Retrieve Import Bulk Translation File Job Summary
After submitting a request to import a bulk translation file, you can query Vault to determine the results of the request.
Before submitting this request:
- You must have previously requested an Import Bulk Translation File job (via the API) which is no longer active
- You must be the user who initiated the job or have the Admin: Jobs: Read permission
GET
/api/{version}/services/jobs/{job_id}/summaryHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{job_id} | The id value of the requested import job. This was returned from the Import Bulk Translation File request. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v24.2/services/jobs/902601/summaryResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"ignored": 14057,
"updated": 14,
"failed": 179,
"added": 0
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following data:
ignored: The number of rows that were ignored. For example, Vault ignores any rows without changes.updated: The number of existing rows that were updated successfully.failed: The number of rows that attempted an update but failed. Use the Retrieve Import Bulk Translation File Job Errors endpoint to retrieve details about these rows.added: The number of new rows that were added.